Subject: Re: bug#36296: 26.2; cannot-suspend value on MS Win & resume description

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jan 2021 12:52:44 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 30 Jan 2021 11:06:40 +0100
> Cc: [email-masked]
> 
> Sebastian Urban <[email-masked]> writes:
> 
> > on MS Windows (official build) variable `cannot-suspend' has value
> > `nil', while according to this thread on help-gnu-emacs:
> > https://lists.gnu.org/archive/html/help-gnu-emacs/2019-0/msg00259.html
> > probably should have value `t'.
> 
> PROBLEMS says:
> 
> *** C-z just refreshes the screen instead of suspending Emacs.
> 
> You are probably using a shell that doesn't support job control, even
> though the system itself is capable of it.  Either use a different shell,
> or set the variable 'cannot-suspend' to a non-nil value.
> 
> --------
> 
> I'm not very familiar with how this works under Windows, but from the
> text there, it sounds like it depends on the shell, so Emacs can't
> really default the variable to t just based on the OS?  Or is this
> always the case on Windows (that `C-z' doesn't work?)

IMNSHO, this is a subtle bug on MS-Windows that needs to be
investigated and fixed; the code looked okay to me last time I looked.
I don't have time to work on it, and the feature is very unimportant
on MS-Windows, so volunteers and patches are welcome, but documenting
this as a "feature" is IMO not TRT.